Bug 1284291 - packages installed from phantom repo
packages installed from phantom repo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-22 17:59 EST by Richard Jasmin
Modified: 2016-08-09 03:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-09 03:49:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-11-22 17:59:35 EST
Description of problem:
yum/dnf glitch detected. Apparently spin can install an application from a repo that never gets installed or copied.

So happens(will have to respin to fix) that chromium got installed from fedora-chromium-stable(which has been known to trigger libusbx issues. SPOT is preferred..) but the repo never made it. I thought it was a menu glitch as the 'users and groups' app somehow never got installed but the menu was there.

Chromium is indeed installed.But theres no repo for it.

Version-Release number of selected component (if applicable):
22

How reproducible:
post spin apparently

Steps to Reproduce:
1.spin fedora
2.install spun fedora
3.check your menu

Actual results:
??

Expected results:
The package should not have been installed but this indicates the other issue: The repo never got copied over, but was used for the spin and installation.
Comment 1 Jaroslav Mracek 2015-11-23 08:28:03 EST
Please could you provide commands that you used? I am also unsure what exactly do you mean by spin fedora or spun fedora.
Thank you for additional info.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:32:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 14:31:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Richard Jasmin 2016-08-08 17:11:02 EDT
How can you not know when your dev ing fedora how not to spin fedora? koji builds are spun you nitwit. Im just adding more to it.

If you dont know what a kickstart is,or how to use it, dont reply.

that said:

yes, im adding in rpmfusion, however..repo are getting used for spin the iso of fedora to pull packages from however, the repo never gets installed after the iso is installed to a hard disk. The apps get pulled and installed apparently from 'nowhere'.

at the least we need the repo data copied into the installed linux somehow but this isnt happening.

should still work for 24.
Comment 5 Igor Gnatenko 2016-08-09 03:49:47 EDT
(In reply to Richard Jasmin from comment #4)
> How can you not know when your dev ing fedora how not to spin fedora? koji
> builds are spun you nitwit. Im just adding more to it.
> 
> If you dont know what a kickstart is,or how to use it, dont reply.
> 
> that said:
> 
> yes, im adding in rpmfusion, however..repo are getting used for spin the iso
> of fedora to pull packages from however, the repo never gets installed after
> the iso is installed to a hard disk. The apps get pulled and installed
> apparently from 'nowhere'.
> 
> at the least we need the repo data copied into the installed linux somehow
> but this isnt happening.
then it's not bug in DNF.
> 
> should still work for 24. most probably lorax or pungi.

but without detailed information, logs and etc. it's not going to be fixed.

Note You need to log in before you can comment on or make changes to this bug.